| Version: 3.0.4

Public Attributes | List of all members
wxAuiTabContainerButton Class Reference
Class List by Category » Window Docking (wxAUI)

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/aui/auibook.h>`

## Detailed Description

A simple class which holds information about wxAuiNotebook tab buttons and their state.

##

Library: wxAui

<>< =''>:</>&;&;< =''>\ </></>

## Public Attributes
int | id
| button's id More...
int | curState
| current state (normal, hover, pressed, etc.) More...
int | location
| buttons location (wxLEFT, wxRIGHT, or wxCENTER) More...
wxBitmap | bitmap
| button's hover bitmap More...
wxBitmap | disBitmap
| button's disabled bitmap More...
wxRect | rect
| button's hit rectangle More...

## Member Data Documentation

## ◆ bitmap

wxBitmap wxAuiTabContainerButton::bitmap

button's hover bitmap

## ◆ curState

int wxAuiTabContainerButton::curState

current state (normal, hover, pressed, etc.)

## ◆ disBitmap

wxBitmap wxAuiTabContainerButton::disBitmap

button's disabled bitmap

## ◆ id

int wxAuiTabContainerButton::id

button's id

## ◆ location

int wxAuiTabContainerButton::location

buttons location (wxLEFT, wxRIGHT, or wxCENTER)

## ◆ rect

wxRect wxAuiTabContainerButton::rect

button's hit rectangle